Package com.smartgwt.client.util.workflow

# Class GridFetchDataTask

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.Task
com.smartgwt.client.util.workflow.ComponentTask
com.smartgwt.client.util.workflow.GridFetchDataTask

All Implemented Interfaces:
  `HasHandlers`

public class GridFetchDataTask extends ComponentTask
Fetch data matching specified criteria into grid.

See Also:
  - `ListGrid.fetchData()`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GridFetchDataTask()`
  `GridFetchDataTask(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `Boolean`
  `getApplyToImplicitCriteria()`
  Should criteria be applied to the grid as `implicit criteria`? When criteria is applied this way, it is not shown to the user and cannot be changed by the user.
  `Criteria`
  `getCriteria()`
  Criteria to use for fetch.
  `String[]`
  `getGroupBy()`
  List of fields to group by in the fetch.
  `static GridFetchDataTask`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DSRequest`
  `getRequestProperties()`
  Additional properties to set on the DSRequest that will be issued to perform the fetch or clear criteria.
  `Map<String,SummaryFunctionType>`
  `getSummaryFunctions()`
  A mapping from field names to `summary functions` to be applied to each field in the fetch.
  `GridFetchDataTask`
  `setApplyToImplicitCriteria(Boolean applyToImplicitCriteria)`
  Should criteria be applied to the grid as `implicit criteria`? When criteria is applied this way, it is not shown to the user and cannot be changed by the user.
  `GridFetchDataTask`
  `setCriteria(Criteria criteria)`
  Criteria to use for fetch.
  `GridFetchDataTask`
  `setGroupBy(String... groupBy)`
  List of fields to group by in the fetch.
  `GridFetchDataTask`
  `setRequestProperties(DSRequest requestProperties)`
  Additional properties to set on the DSRequest that will be issued to perform the fetch or clear criteria.
  `GridFetchDataTask`
  `setSummaryFunctions(Map<String,SummaryFunctionType> summaryFunctions)`
  A mapping from field names to `summary functions` to be applied to each field in the fetch.

  ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

  `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

  ### Methods inherited from class com.smartgwt.client.util.workflow.Task

  `getExpressionValue, getInputFieldList, getInputRecord, getInputs, getInputsAsString, getInputsAsStringArray, getOutputExpression, getOutputField, getOutputFieldList, getState, getStrictPaths, setInputFieldList, setInputs, setInputs, setInputs, setOutput, setOutputExpression, setOutputField, setOutputFieldList, setState, setStrictPaths`

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GridFetchDataTask

    public GridFetchDataTask()

  - ### GridFetchDataTask

    public GridFetchDataTask(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static GridFetchDataTask getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `ComponentTask`

  - ### setApplyToImplicitCriteria

    public GridFetchDataTask setApplyToImplicitCriteria(Boolean applyToImplicitCriteria) throws IllegalStateException
    Should criteria be applied to the grid as `implicit criteria`? When criteria is applied this way, it is not shown to the user and cannot be changed by the user.
    Parameters:
      `applyToImplicitCriteria` - New applyToImplicitCriteria value. Default value is null
    Returns:
      `GridFetchDataTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getApplyToImplicitCriteria

    public Boolean getApplyToImplicitCriteria()
    Should criteria be applied to the grid as `implicit criteria`? When criteria is applied this way, it is not shown to the user and cannot be changed by the user.
    Returns:
      Current applyToImplicitCriteria value. Default value is null

  - ### setCriteria

    public GridFetchDataTask setCriteria(Criteria criteria) throws IllegalStateException
    Criteria to use for fetch. If criteria is `null` or empty, the filter criteria of the grid will be cleared.
    Parameters:
      `criteria` - New criteria value. Default value is null
    Returns:
      `GridFetchDataTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getCriteria

    public Criteria getCriteria()
    Criteria to use for fetch. If criteria is `null` or empty, the filter criteria of the grid will be cleared.
    Returns:
      Current criteria value. Default value is null

  - ### setGroupBy

    public GridFetchDataTask setGroupBy(String... groupBy) throws IllegalStateException
    List of fields to group by in the fetch.

    See the `Server Summaries overview` for examples of usage.

    Parameters:
      `groupBy` - New groupBy value. Default value is null
    Returns:
      `GridFetchDataTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `setSummaryFunctions(java.util.Map<java.lang.String, com.smartgwt.client.types.SummaryFunctionType>)`
      - `Server Summaries`

  - ### getGroupBy

    public String[] getGroupBy()
    List of fields to group by in the fetch.

    See the `Server Summaries overview` for examples of usage.

    Returns:
      Current groupBy value. Default value is null
    See Also:
      - `getSummaryFunctions()`
      - `Server Summaries`

  - ### setRequestProperties

    public GridFetchDataTask setRequestProperties(DSRequest requestProperties) throws IllegalStateException
    Additional properties to set on the DSRequest that will be issued to perform the fetch or clear criteria.
    Parameters:
      `requestProperties` - New requestProperties value. Default value is null
    Returns:
      `GridFetchDataTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getRequestProperties

    public DSRequest getRequestProperties()
    Additional properties to set on the DSRequest that will be issued to perform the fetch or clear criteria.
    Returns:
      Current requestProperties value. Default value is null

  - ### setSummaryFunctions

    public GridFetchDataTask setSummaryFunctions(Map<String,SummaryFunctionType> summaryFunctions) throws IllegalStateException
    A mapping from field names to `summary functions` to be applied to each field in the fetch.

    See the `Server Summaries overview` for examples of usage.

    Parameters:
      `summaryFunctions` - New summaryFunctions value. Default value is null
    Returns:
      `GridFetchDataTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `setGroupBy(java.lang.String...)`
      - `Server Summaries`

  - ### getSummaryFunctions

    public Map<String,SummaryFunctionType> getSummaryFunctions()
    A mapping from field names to `summary functions` to be applied to each field in the fetch.

    See the `Server Summaries overview` for examples of usage.

    Returns:
      Current summaryFunctions value. Default value is null
    See Also:
      - `getGroupBy()`
      - `Server Summaries`